import QtQuick
import QtQuick.Controls
import QtQuick.Dialogs
import QtQuick.Layouts

Window {
    id: root
    title: "Test App"
    width: 250
    height: 450
    visible: true

    CustomDataModel {
        id: customModel
    }

    ColumnLayout {
        anchors.fill: parent
        anchors.margins: 10

        Button {
            text: "Load data form JSON"
            onClicked: fileChooser.open()

            FileDialog {
                id: fileChooser
                title: "Please choose a JSON file"
                nameFilters: ["JSON files (*.json)"]
                fileMode: FileDialog.OpenFile
                onAccepted: {
                    var json = jsonHandler.loadJsonFromFile(currentFile.toString().substr(8))
                    customModel.parseObject(JSON.parse(json))
                }
            }
        }

        CustomDataView {
            customModel: customModel
            width: root.width
            Layout.fillHeight: true
        }
    }
}
